Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "K. Richard Pixley" <[email-masked]>
Date: Sun, 02 Jan 2011 11:17:33 -0800

I find font-lock modes to be illegible and highly annoying.  And I
can't seem to find a way to turn them off, completely, across the
board, entirely, throughout my emacs.

(global-font-lock-mode 0) doesn't seem to work.  I have it in my
.emacs.el and I'm setting it manually and still when I visit a new
file, or any of a number of popup buffers arrive, they still have
illegible font-lock color settings.

If there is a way, I should be able to find it either from a search
for "font-lock" on the info page or through M-x apropos font-lock.

If there is no simple way to turn it off, then that is a bug.

(I'm reporting on emacs from ubuntu-10.10 amd64 server, but I have the
same problem on many other versions.)

In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.0)
  of 2010-03-29 on yellow, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build=x86_64-linux-gnu' 
'--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' 
'--libexecdir=/usr/lib' '--localstatedir=/var/lib' 
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' 
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' 
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 
'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 
'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   diff-auto-refine-mode: t
   display-time-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
l f ) <down-mouse-1> <mouse-1> <backspace> , SPC b
l o c k ) : <return> r e t u r n SPC s e l f . u n
p a c k _ f r o m ( b l o c k ) C-n C-n C-u C-x s M-x
c o m p i l e <return> <return> C-x 0 C-x 2 C-x b <return>
M-< C-s s i z e C-p C-a C-x C-t C-x o C-x c y C-v C-p
C-p C-p C-p C-p <help-echo> <down-mouse-1> <mouse-1>
<help-echo> <help-echo> C-x o C-p C-x C-t C-x c y C-M-v
<down-mouse-1> <mouse-1> C-p C-p C-p C-p C-p C-a C-p
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-o C-o <tab> s
i z e SPC = SPC c l a s s m e t h o d ( s i z e ) C-p
C-p C-p C-p C-p C-p C-p C-a C-p C-k C-k C-x c y C-x
o C-v C-x o <help-echo> <down-mouse-1> <mouse-1> C-a
C-k C-k C-n C-n C-n C-n C-n C-n C-n M-f M-f M-b p r
o p e r t y ( C-e ) C-x c y C-x 0 C-x b <return> M-b
M-b M-t C-x c y C-x 0 M-> <help-echo> <down-mouse-1>
<mouse-1> C-u C-x s <down-mouse-1> <mouse-1> C-x C-f
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> . e m a c s . e l <return>
C-v M-> <return> C-y C-p C-k C-k <backspace> M-< C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-y C-o C-u C-x s <down-mouse-1> <mouse-1>
M-x r e p o r t - e m a c s - b u g <return>

Recent messages:
Compilation exited abnormally with code 2
Saving file /home/rich/projects/elffile/elffile.py...
Wrote /home/rich/projects/elffile/elffile.py
Compilation exited abnormally with code 2
Mark set
(No files need saving)
Loading vc-svn...done
Mark set [4 times]
Saving file /home/rich/.emacs.el...
Wrote /home/rich/.emacs.el